package com.lemon.lifecenter.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import com.lemon.lifecenter.dto.CenterInfoDTO;
import com.lemon.lifecenter.dto.StaffDTO;

@Repository
@Mapper
public interface StaffMapper {
    public int selectMemberCount(StaffDTO dto);
    public int selectMemberListCount(StaffDTO dto);
    public List<StaffDTO> selectMemberList(StaffDTO dto);
    public void insertMember(StaffDTO dto);
    public Integer updateMember(StaffDTO dto);
    public StaffDTO selectMemberInfo(StaffDTO dto);
    public List<CenterInfoDTO> selectCenterList();
    public void insertStaff(StaffDTO dto);
}